Package com.independentsoft.office.odf.styles

# Class Quarter

java.lang.Object
com.independentsoft.office.odf.styles.Quarter

public class Quarter extends Object
Represents a quarter of the year in a date.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Quarter()`
  Initializes a new instance of the Quarter class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Quarter`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCalendar()`
  Gets the calendar system used to extract parts of a date.
  `DisplayFormat`
  `getDisplayFormat()`
  Gets the display format.
  `void`
  `setCalendar​(String calendar)`
  Sets the calendar system used to extract parts of a date.
  `void`
  `setDisplayFormat​(DisplayFormat format)`
  Sets the display format.
  `String`
  `toString()`
  Converts the value of the current Quarter object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Quarter

    public Quarter()
    Initializes a new instance of the Quarter class.

- ## Method Details

  - ### clone

    public Quarter clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current Quarter object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getDisplayFormat

    public DisplayFormat getDisplayFormat()
    Gets the display format.
    Returns:
      the display format

  - ### setDisplayFormat

    public void setDisplayFormat​(DisplayFormat format)
    Sets the display format.
    Parameters:
      `format` - the new display format

  - ### getCalendar

    public String getCalendar()
    Gets the calendar system used to extract parts of a date.
    Returns:
      the calendar

  - ### setCalendar

    public void setCalendar​(String calendar)
    Sets the calendar system used to extract parts of a date.
    Parameters:
      `calendar` - the new calendar